## bonobo-ui-preferences

bonobo-ui-preferences

## Synopsis

    #define             BONOBO_UI_PAD
    #define             BONOBO_UI_PAD_SMALL
    #define             BONOBO_UI_PAD_BIG
    void                bonobo_ui_preferences_add_engine    (BonoboUIEngine *engine);
    void                bonobo_ui_preferences_remove_engine (BonoboUIEngine *engine);
    BonoboUIToolbarStyle  bonobo_ui_preferences_get_toolbar_style
                                                            (void);
    gboolean            bonobo_ui_preferences_get_menus_have_icons
                                                            (void);
    gboolean            bonobo_ui_preferences_get_menus_have_tearoff
                                                            (void);
    gboolean            bonobo_ui_preferences_get_menubar_detachable
                                                            (void);
    gboolean            bonobo_ui_preferences_get_toolbar_detachable
                                                            (void);

## Description

## Details

### BONOBO_UI_PAD

    #define BONOBO_UI_PAD          8

### BONOBO_UI_PAD_SMALL

    #define BONOBO_UI_PAD_SMALL    4

### BONOBO_UI_PAD_BIG

    #define BONOBO_UI_PAD_BIG      12

### bonobo_ui_preferences_add_engine ()

    void                bonobo_ui_preferences_add_engine    (BonoboUIEngine *engine);

`engine` : |

### bonobo_ui_preferences_remove_engine ()

    void                bonobo_ui_preferences_remove_engine (BonoboUIEngine *engine);

`engine` : |

### bonobo_ui_preferences_get_toolbar_style ()

    BonoboUIToolbarStyle  bonobo_ui_preferences_get_toolbar_style
                                                            (void);

Returns : |

### bonobo_ui_preferences_get_menus_have_icons ()

    gboolean            bonobo_ui_preferences_get_menus_have_icons
                                                            (void);

Returns : |

### bonobo_ui_preferences_get_menus_have_tearoff ()

    gboolean            bonobo_ui_preferences_get_menus_have_tearoff
                                                            (void);

Returns : |

### bonobo_ui_preferences_get_menubar_detachable ()

    gboolean            bonobo_ui_preferences_get_menubar_detachable
                                                            (void);

Returns : |

### bonobo_ui_preferences_get_toolbar_detachable ()

    gboolean            bonobo_ui_preferences_get_toolbar_detachable
                                                            (void);

Returns : |